Loading...
Searching...
No Matches
Dune::MPIData< P, std::enable_if_t< std::is_same< std::remove_const_t< P >, MPIPack >::value > > Struct Template Reference

`#include <dune/common/parallel/mpipack.hh>`

Inheritance diagram for Dune::MPIData< P, std::enable_if_t< std::is_same< std::remove_const_t< P >, MPIPack >::value > >:

## Public Member Functions

void * | ptr ()
int | size ()
MPI_Datatype | type () const
void | resize (int size)

## Static Public Attributes

static constexpr bool | static_size = std::is_const<P>::value

## Protected Member Functions

| MPIData (P &t)

## Protected Attributes

P & | data_

## Friends

auto | getMPIData (P &t)

## Constructor & Destructor Documentation

## MPIData()

template<class P>

Dune::MPIData< P, std::enable_if_t< std::is_same< std::remove_const_t< P >, MPIPack >::value > >::MPIData | ( | P & | t | ) |

inline protected

## Member Function Documentation

## ptr()

template<class P>

void * Dune::MPIData< P, std::enable_if_t< std::is_same< std::remove_const_t< P >, MPIPack >::value > >::ptr | ( |  | ) |

inline

## resize()

template<class P>

void Dune::MPIData< P, std::enable_if_t< std::is_same< std::remove_const_t< P >, MPIPack >::value > >::resize | ( | int | size | ) |

inline

## size()

template<class P>

int Dune::MPIData< P, std::enable_if_t< std::is_same< std::remove_const_t< P >, MPIPack >::value > >::size | ( |  | ) |

inline

## type()

template<class P>

MPI_Datatype Dune::MPIData< P, std::enable_if_t< std::is_same< std::remove_const_t< P >, MPIPack >::value > >::type | ( |  | ) | const

inline

## Friends And Related Symbol Documentation

## getMPIData

template<class P>

auto getMPIData | ( | P & | t | ) |

friend

## Member Data Documentation

## data_

template<class P>

P& Dune::MPIData< P, std::enable_if_t< std::is_same< std::remove_const_t< P >, MPIPack >::value > >::data_

protected

## static_size

template<class P>

bool Dune::MPIData< P, std::enable_if_t< std::is_same< std::remove_const_t< P >, MPIPack >::value > >::static_size = std::is_const<P>::value

static constexpr

The documentation for this struct was generated from the following file:

- mpipack.hh